<?php

/**
 * @package   ElkArte Forum
 * @copyright ElkArte Forum contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause (see accompanying LICENSE.txt file)
 *
 * @version 2.0 dev
 *
 */

use \ElkArte\Languages\Txt;

/**
 * Add a button, somewhere, anywhere!
 *
 * add_some_button, called via integrate_menu_buttons from Theme.php
 *
 * @param array $buttons the button array
 * @param array $menu_count the moderation button count values, like number of unapproved xyz
 */
function add_menu_button(&$buttons, &$menu_count)
{
	global $txt;

	Txt::load('MyButton');

	// Stuff this button after search
	$buttons['home']['sub_buttons'] = elk_array_insert($buttons['home']['sub_buttons'], 'search', [
		'myButton' => [
			'title' => $txt['my_button'],
			'href' => getUrl('action', ['action' => 'mybutton']), // or 'href' => $scripturl . '?....',
			'show' => true,
		]], 'after');
}

/**
 * Add Action Hook
 *
 * integrate_actions, used to add a new action to the system dispatcher
 *
 * @param array $actionArray
 */
function set_button_action(&$actionArray)
{
	$actionArray['mybuttonaction'] = ['\\ElkArte\\Controller\\MyButton', 'action_my_button_action'];
}
